'use strict';
const http = require('http');
const Highlights = require('highlights');
const highlighter = new Highlights();
highlighter.requireGrammarsSync({
    "modulePath": require.resolve('language-perl6/package.json'),
});

const server = http.createServer((req, res) => {
    const filename = req.headers['filename'];
    let buffer = '';
    res.setHeader('Content-type','text/plain');
    res.statusCode = 200;
    req.on('end', () => {
        highlighter.highlight({
            "scopeName": filename,
            "fileContents": buffer,
        }, (err,html) => {
            res.write(html, '', () => { res.end() });
        });
    });
    req.on('data', (chunk) => {
        buffer += chunk;
    });
});

server.on('clientError', (err, socket) => {
    socket.end('HTTP/1.1 400 Bad Request\r\n\r\n');
});

server.listen(8000);
